### Hierarchy

- unknown
  - CreateOfferReply

## Index

### Constructors

- constructor

### Methods

- clearOffer
- getOffer
- hasOffer
- serializeBinary
- setOffer
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CreateOfferReply(): CreateOfferReply

- Inherited from jspb.Message.constructor

  #### Returns CreateOfferReply

## Methods

### clearOffer

- clearOffer(): CreateOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:1527

  #### Returns CreateOfferReply

### getOffer

- getOffer(): undefined | OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1524

  #### Returns undefined | OfferInfo

### hasOffer

- hasOffer(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:1526

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1529

  #### Returns Uint8Array

### setOffer

- setOffer(value?: OfferInfo ): CreateOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:1525

  #### Parameters

  - ##### Optional value: OfferInfo

  #### Returns CreateOfferReply

### toObject

- toObject(includeInstance?: boolean): CreateOfferReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1530

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CreateOfferReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CreateOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:1533

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CreateOfferReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CreateOfferReply, reader: BinaryReader): CreateOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:1534

  #### Parameters

  - ##### message: CreateOfferReply

  - ##### reader: BinaryReader

  #### Returns CreateOfferReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CreateOfferReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1532

  #### Parameters

  - ##### message: CreateOfferReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CreateOfferReply ): CreateOfferReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1531

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CreateOfferReply

  #### Returns CreateOfferReply . AsObject

Generated using TypeDoc